|  | Home | Documentation | saml1__AdviceType Struct Reference updated by Robert van Engelen |

Classes | Public Attributes | List of all members
saml1__AdviceType Struct Reference

"urn:oasis:names:tc:SAML:1.0:assertion":AdviceType is a complexType. More...

`#include <saml1.h>`

Collaboration diagram for saml1__AdviceType:
[legend]

## Classes

struct | __saml1__union_AdviceType

## Public Attributes

$ int | __size_AdviceType
struct saml1__AdviceType::__saml1__union_AdviceType * | __union_AdviceType

## Detailed Description

"urn:oasis:names:tc:SAML:1.0:assertion":AdviceType is a complexType.

Note
  struct saml1__AdviceType operations:
  - saml1__AdviceType* soap_new_saml1__AdviceType(struct soap*, int num) allocate and default initialize one or more values (an array)
  - soap_default_saml1__AdviceType(struct soap*, saml1__AdviceType*) default initialize members
  - int soap_read_saml1__AdviceType(struct soap*, saml1__AdviceType*) deserialize from a source
  - int soap_write_saml1__AdviceType(struct soap*, saml1__AdviceType*) serialize to a sink
  - saml1__AdviceType* soap_dup_saml1__AdviceType(struct soap*, saml1__AdviceType* dst, saml1__AdviceType <em>src) returns deep copy of saml1__AdviceType src into dst, copies the (cyclic) graph structure when a context is provided, or (cycle-pruned) tree structure with soap_set_mode(soap, SOAP_XML_TREE) (use soapcpp2 -Ec)
  - soap_del_saml1__AdviceType(saml1__AdviceType
  ) deep deletes saml1__AdviceType data members, use only on dst after soap_dup_saml1__AdviceType(NULL, saml1__AdviceType *dst, saml1__AdviceType *src) (use soapcpp2 -Ed)

## Member Data Documentation

## ◆ __size_AdviceType

$ int saml1__AdviceType::__size_AdviceType

## ◆ __union_AdviceType

struct saml1__AdviceType::__saml1__union_AdviceType * saml1__AdviceType::__union_AdviceType

The documentation for this struct was generated from the following file:

- saml1.h